on adjustVolume level
  global gPullDown
  set the soundLevel to level
  beep()
  if gPullDown then
    repeat with i = 1 to 8
      set the checkMark of menuItem i of menu "Volume" to 0
    end repeat
    set the checkMark of menuItem (level + 1) of menu "Volume" to 1
  end if
end

on newGame
  global DataPath, gPauseState
  hideMenu()
  pauseVids(1)
  set gPauseState to 1
  if the machineType = 256 then
    set miawPath to DataPath & "progs\"
  else
    set miawPath to DataPath & "progs:"
  end if
  set alertWin to window (miawPath & "mui1")
  set the rect of alertWin to rect(-9950, -9950, -9500, -9600)
  set the windowType of alertWin to 2
  set the modal of alertWin to 0
  set the name of alertWin to "mui1"
  open(alertWin)
end

on checkAlertResult
  global alertResult, gPauseState
  forget(window "mui1")
  case alertResult of
    1:
      repeat with X = 1 to 120
        puppetSprite(X, 0)
      end repeat
      go(3)
    otherwise:
      pauseVids(0)
      set gPauseState to 0
  end case
end

on quitGame
  global gSettings
  set the soundLevel to getAt(gSettings, 1)
  if the machineType <> 256 then
    set the colorDepth to getAt(gSettings, 5)
  end if
  set the visible of the stage to 0
  quit()
end

on showHelp
  global helpWin, DataPath
  if windowPresent("Hands") = 0 then
    if the machineType = 256 then
      set miawPath to DataPath & "PROGS\"
    else
      set miawPath to DataPath & "progs:"
    end if
    set winName to miawPath & "help"
    set helpWin to window winName
    set the windowType of window winName to 4
    set the title of window winName to "Poker Hands"
    set the name of window winName to "Hands"
    set the rect of helpWin to rect(the stageLeft + 218, the stageTop + 110, the stageRight - 218, the stageBottom - 110)
    set the modal of window winName to 0
    open(helpWin)
  else
    set the visible of window "Hands" to 1
  end if
end

on closeHelp
  if windowPresent("Hide") = 0 then
    forget(window "Hands")
  end if
  set the stageColor to 255
end

on showAbout
  global aboutWin, DataPath, gAboutOn
  hideMenu()
  pauseVids(1)
  updateStage()
  if windowPresent("About") = 0 then
    if the machineType = 256 then
      set miawPath to DataPath & "PROGS\"
    else
      set miawPath to DataPath & "progs:"
    end if
    set alertName to miawPath & "box"
    set aboutWin to window alertName
    set the windowType of window alertName to 2
    set the name of window alertName to "About"
    set the modal of window alertName to 1
    set the rect of aboutWin to rect(-9160, -9120, -9000, -9000)
    open(aboutWin)
    set the rect of aboutWin to rect(the stageLeft + 160, the stageTop + 120, the stageRight - 160, the stageBottom - 120)
  else
    set the visible of window "About" to 1
  end if
  set gAboutOn to 1
end

on closeAbout
  set gAboutOn to 0
  forget(window "About")
  set the stageColor to 255
  pauseVids(0)
  set gPauseState to 0
end

on hideGame
  global gCurVolSetting, hiddenWin, DataPath
  hideMenu()
  if the frame = 10 then
    resetCursor()
  end if
  cursor(200)
  if the machineType = 256 then
    set miawPath to DataPath & "PROGS\"
  else
    set miawPath to DataPath & "progs:"
  end if
  set hiddenWin to window (miawPath & "hide")
  set the rect of hiddenWin to rect(the stageLeft, the stageTop, the stageRight, the stageBottom)
  set the windowType of hiddenWin to 2
  set the name of hiddenWin to "Hide"
  set the modal of hiddenWin to 0
  pauseVids(1)
  if windowPresent("Hands") = 1 then
    set the visible of window "Hands" to 0
  end if
  open(hiddenWin)
end

on closeHide
  global hiddenWin
  set the rect of hiddenWin to rect(the stageLeft, the stageTop, the stageRight, the stageBottom)
  updateStage()
  set the stageColor to 255
  forget(window "Hide")
  cursor(-1)
  if windowPresent("Hands") = 1 then
    set the visible of window "Hands" to 1
  end if
  pauseVids(0)
end

on showEaster thePlayer
  global CDPath, easterName, player1, player2, easterWin, DataPath
  hideMenu()
  if the machineType = 256 then
    set miawPath to DataPath & "progs\"
  else
    set miawPath to DataPath & "progs:"
  end if
  set easterWin to window (miawPath & "x4")
  set the rect of easterWin to rect(the stageLeft, the stageTop, the stageRight, the stageBottom)
  set the windowType of easterWin to 2
  set the modal of easterWin to 1
  set the name of easterWin to "Easter"
  set easterName to CDPath & getAt(thePlayer, 33) & "5b_a" & getAt(thePlayer, 32)
  pauseVids(1)
  open(easterWin)
end

on closeEaster
  global player1, player2
  forget(window "Easter")
  pauseVids(0)
end

on stopVids
  global player1, player2
  if the frame = 10 then
    if (getAt(player1, 12) <> 3) and (getAt(player1, 18) = 0) then
      set dur to the duration of sprite(getAt(player1, 17))
      if the machineType = 256 then
        set the mtime of sprite(getAt(player1, 17)) to dur
      else
        set the movieTime of sprite getAt(player1, 17) to dur
      end if
    end if
    if (getAt(player2, 12) <> 3) and (getAt(player2, 18) = 0) then
      set dur to the duration of sprite(getAt(player2, 17))
      if the machineType = 256 then
        set the mtime of sprite(getAt(player2, 17)) to dur
      else
        set the movieTime of sprite getAt(player2, 17) to dur
      end if
    end if
  end if
end
